PETSc version 3.17.4
Fix/Edit manual page

# PetscDeviceInitialize

Initialize PetscDevice

### Synopsis

    PetscErrorCode PetscDeviceInitialize(PetscDeviceType type)

Not Collective, Possibly Synchronous

### Input Parameter

| type | - The PetscDeviceType to initialize

### Notes

Eagerly initializes the corresponding PetscDeviceType if needed.

### See Also

PetscDevice, PetscDeviceInitType, PetscDeviceInitialized(), PetscDeviceCreate(), PetscDeviceDestroy()

### Level

beginner

### Location

src/sys/objects/device/interface/device.cxx
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages